## therion 5.3.9

=== Makefile ===
# common therion objects
CMNOBJECTS = thdate.o extern/shpopen.o extern/dbfopen.o \
  thexception.o thbuffer.o thmbuffer.o thlogfile.o thtmpdir.o thlocale.o \
  thparse.o thcmdline.o thconfig.o thinput.o thchenc.o thdatabase.o \
  thdataobject.o thdatareader.o thsurvey.o thendsurvey.o thdata.o \
  thperson.o thtf.o thtfangle.o thtflength.o thtfpwf.o \
  thdataleg.o thobjectname.o thinfnan.o thlayout.o \
  thinit.o thdb1d.o thsvxctrl.o thdatastation.o thobjectid.o \
  thobjectsrc.o thgrade.o thlibrary.o thgeomag.o thbezier.o \
  thexport.o thexporter.o thselector.o extern/img.o \
  thexpmodel.o thdb2d00.o thscrapis.o thcs.o thcsdata.o thexptable.o \
  thdb2d.o thscrap.o thendscrap.o th2ddataobject.o thdb2dprj.o \
  thdb2dpt.o thdb2dlp.o thdb2dab.o thdb2dji.o thdb2dmi.o thdb2dcp.o \
  thdb2dxm.o thdb2dxs.o thscraplo.o thscraplp.o thscrapen.o \
  thpoint.o thline.o tharea.o thlegenddata.o thmpost.o thsymbolsets.o \
  thjoin.o thmap.o thexpmap.o thlayoutln.o thlayoutclr.o thexpsys.o thexpuni.o \
  thconvert.o thpdf.o thpdfdbg.o thpdfdata.o thtexfonts.o \
  thsymbolset.o thlang.o thmapstat.o thexpdb.o thpic.o thsketch.o thproj.o \
  extern/lxMath.o extern/lxFile.o thdb3d.o thsurface.o thimport.o thsvg.o thepsparse.o \
  thtrans.o thwarpp.o thwarppt.o thwarppme.o thwarp.o thexpshp.o thattr.o thtex.o \
  extern/poly2tri/common/shapes.o extern/poly2tri/sweep/advancing_front.o extern/poly2tri/sweep/sweep.o extern/poly2tri/sweep/cdt.o extern/poly2tri/sweep/sweep_context.o \
  therion.o extern/proj4/libproj.a 

# PLATFORM CONFIG

# PLATFORM LINUX
##CXX = g++
##CC = gcc
##POBJECTS =
##LOCHEXE = loch/loch
##CXXPFLAGS = -DTHLINUX
##CCPFLAGS = -DTHLINUX
##LDPFLAGS = -s
##THPLATFORM = LINUX
##THXTHMKCMD = ./therion


# PLATFORM DEBIAN
CXX = c++
CC = gcc
POBJECTS =
LOCHEXE = loch/loch
CXXPFLAGS = -DTHLINUX
CCPFLAGS = -DTHLINUX
LDPFLAGS = -s
THPLATFORM = LINUX
THXTHMKCMD = ./therion


# PLATFORM WIN32
##CXX = c++
##CC = gcc
##POBJECTS = extern/getopt.o extern/getopt1.o therion.res extern/getline.o 
##LOCHEXE = loch/loch
##CXXPFLAGS = -DTHWIN32
##CCPFLAGS = -DTHWIN32
##LDPFLAGS = -static-libgcc -static -s
##THPLATFORM = WIN32
##THXTHMKCMD = therion

# PLATFORM MACOSX
##CXX = c++
##CC = cc
##LOCHEXE =
##POBJECTS = extern/getopt.o extern/getopt1.o extern/getline.o
##CXXPFLAGS = -DTHMACOSX
##CCPFLAGS = -DTHMACOSX
##LDPFLAGS =
##THPLATFORM = MACOSX
##THXTHMKCMD = ./therion

# PLATFORM ENDCONFIG


# BUILD CONFIG

# BUILD OZONE
##CCBFLAGS = -O3
##CXXBFLAGS = -O3
##LDBFLAGS = $(LDPFLAGS)

# BUILD OXYGEN
CCBFLAGS = -O2
CXXBFLAGS = -O2
LDBFLAGS = $(LDPFLAGS)

# BUILD RELEASE
##CCBFLAGS = 
##CXXBFLAGS = 
##LDBFLAGS = $(LDPFLAGS)

# BUILD DEBUG
##CCBFLAGS = -ggdb
##CXXBFLAGS = -ggdb -DTHDEBUG
##LDBFLAGS = 

# BUILD ENDCONFIG


# compiler settings
CXXFLAGS = -Wall $(CXXPFLAGS) $(CXXBFLAGS)
CCFLAGS = -DIMG_API_VERSION=1 -Wall $(CCPFLAGS) $(CCBFLAGS)
OBJECTS = $(POBJECTS) $(CMNOBJECTS)


# linker settings
LIBS = 
LDFLAGS = $(LDBFLAGS)


.SUFFIXES: .cxx .o .h .c .cc

.cxx.o:
	$(CXX) -c $(CXXFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CCFLAGS) -o $@ $<

all: therion doc xtherion/xtherion $(LOCHEXE)

extern/proj4/libproj.a: extern/proj4/*.c extern/proj4/*.h
	make -C ./extern/proj4

therion:	$(OBJECTS)
	$(CXX) -Wall -o therion $(OBJECTS) $(LDFLAGS) $(LIBS) 


therion.res: therion.rc
	windres -i therion.rc -J rc -o therion.res -O coff

init:
	./therion --print-init-file > therion.ini

install: all
	tclsh makeinstall.tcl $(THPLATFORM)


minor-release:
	perl makerelease.pl

archive: clean
	perl makearchive2.pl

release: clean
	perl makearchive.pl

binary: all doc
	perl makebinary.pl $(THPLATFORM)
  
depend:
	perl makedepend.pl > Makefile.dep
	perl maketest.pl Makefile.dep
	perl makefile.pl mv Makefile.dep Makefile
	$(CXX) -MM $(CXXFLAGS) *.cxx >> Makefile

library:
	$(THXTHMKCMD) --print-library-src thlibrarydata.thcfg > thlibrarydata.log
	$(THXTHMKCMD) --print-xtherion-src > xtherion/therion.tcl
	perl makelibrary.pl thlibrarydata.log > thlibrarydata.tmp
	perl maketest.pl thlibrarydata.tmp
	perl makefile.pl mv thlibrarydata.tmp thlibrarydata.cxx

thlibrarydata.cxx: thlang/texts.txt
	make library

xtherion/xtherion: xtherion/*.tcl
	make -C ./xtherion

loch/loch: loch/*.h loch/*.cxx loch/*.c
	make -C ./loch

doc: thbook/thbook.pdf

thbook: thbook/thbook.pdf

samples: samples.doc/index.tex

samples.doc/index.tex:
	make -C ./samples

thbook/thbook.pdf: thbook/*.tex
	make -C ./thbook
  
clean:
	make -C ./xtherion clean
	make -C ./loch clean
	make -C ./samples clean
	make -C ./extern/proj4 clean
	perl makefile.pl rm -q therion ./xtherion/xtherion ./xtherion/xtherion.tcl therion.exe *~ *.log *.o thchencdata/*~ .xtherion.dat
	perl makefile.pl rm -q xtherion/*~ .xth_thconfig_xth xtherion/screendump thlang/*~
	perl makefile.pl rm -q extern/*.o extern/*~ extern/poly2tri/common/*.o extern/poly2tri/sweep/*.o samples/*~ samples/*.log
	perl makefile.pl rm -q symbols.html therion.res
	perl makefile.pl rm -q tri/*.o tri/*~
	perl makefile.pl rm -q tex/*~
	perl makefile.pl rm -q mpost/*~ examples/*~ examples/therion.log
	perl makefile.pl rm -q core symbols.xhtml cave.kml
	perl makefile.pl rm -q data.3d data.svx data.pos data.pts data.err data.plt
	perl makefile.pl rm -q cave.3d cave.lox cave.thm cave.pdf cave.sql cave.xhtml therion.tcl cave_a.pdf cave_m.pdf cave.vrml cave.wrl cave.3dmf cave.svg cave.tlx
	perl makefile.pl rm -q ./thbook/*~ ./thbook/thbook.log ./thbook/thbook.pdf ./lib/*~ ./mpost/*~ ./tex/*~
	perl makefile.pl rmdir -q doc thTMPDIR samples.doc symbols cave.shp tests/.doc

thmpost.h: mpost/*.mp
	make -C ./mpost

thsymbolsetlist.h: thsymbolsetlist.pl mpost/thTrans.mp
	perl thsymbolsetlist.pl
  
thtex.h: tex/*.tex
	make -C ./tex

thcsdata.h: thcsdata.tcl
	tclsh thcsdata.tcl
  
update:
	make -C ./thlang update

unixify: clean
	tclsh makeunixify.tcl
  
thlangdata.cxx: thlang/texts.txt
	make -C ./thlang

config-debug:
	perl makeconfig.pl BUILD DEBUG
	make -C ./loch config-debug
  
config-release:
	perl makeconfig.pl BUILD RELEASE
	make -C ./loch config-release

config-oxygen:
	perl makeconfig.pl BUILD OXYGEN
	make -C ./loch config-oxygen
  
config-ozone:
	perl makeconfig.pl BUILD OZONE
	make -C ./loch config-ozone

config-debian:
	perl makeconfig.pl PLATFORM DEBIAN
	make -C ./loch config-debian
  
config-linux:
	perl makeconfig.pl PLATFORM LINUX
	make -C ./loch config-linux
  
config-win32:
	perl makeconfig.pl PLATFORM WIN32
	make -C ./loch config-win32
  
config-macosx:
	perl makeconfig.pl PLATFORM MACOSX
	make -C ./loch config-macosx

# external sources
extern/lxMath.o: loch/lxMath.h loch/lxMath.cxx
	$(CXX) -c $(CXXFLAGS) -o extern/lxMath.o loch/lxMath.cxx
    
extern/lxFile.o: loch/lxFile.h loch/lxFile.cxx
	$(CXX) -c $(CXXFLAGS) -o extern/lxFile.o loch/lxFile.cxx

extern/getopt.o: extern/getopt.c extern/getopt.h
extern/getopt1.o: extern/getopt1.c
extern/img.o: extern/img.c extern/img.h
extern/poly2tri/common/shapes.o: extern/poly2tri/common/shapes.cc extern/poly2tri/common/shapes.h
extern/poly2tri/sweep/advancing_front.o: extern/poly2tri/sweep/advancing_front.cc
extern/poly2tri/sweep/sweep.o: extern/poly2tri/sweep/sweep.cc
extern/poly2tri/sweep/cdt.o: extern/poly2tri/sweep/cdt.cc
extern/poly2tri/sweep/sweep_context.o: extern/poly2tri/sweep/sweep_context.cc

# DEPENDENCIES
th2ddataobject.o: th2ddataobject.cxx th2ddataobject.h thdataobject.h \
  thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
  thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
  loch/lxMath.h thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h \
  thmapstat.h thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h \
  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
  thscraplo.h thlayoutln.h thlayoutclr.h thscrapen.h thscraplp.h \
  thexception.h thsymbolset.h thsymbolsetlist.h
tharea.o: tharea.cxx tharea.h th2ddataobject.h thdataobject.h \
  thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
  thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
  loch/lxMath.h thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h \
  thmapstat.h thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h \
  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
  thscraplo.h thlayoutln.h thlayoutclr.h thscrapen.h thscraplp.h \
  thexception.h thexpmap.h thexport.h thsymbolset.h thsymbolsetlist.h \
  thlayout.h thlocale.h thlang.h thlangdata.h thline.h
thattr.o: thattr.cxx thattr.h thmbuffer.h thchenc.h thchencdata.h \
  thparse.h thbuffer.h extern/shapefil.h thexception.h therion.h
thbezier.o: thbezier.cxx thbezier.h
thbuffer.o: thbuffer.cxx thbuffer.h
thchenc.o: thchenc.cxx thchenc.h thchencdata.h thparse.h thbuffer.h \
  thmbuffer.h thchencdata.cxx therion.h thexception.h
thchencdata.o: thchencdata.cxx
thcmdline.o: thcmdline.cxx thcmdline.h therion.h thlogfile.h thbuffer.h \
  thconfig.h thmbuffer.h thinput.h thparse.h thexporter.h thexport.h \
  thobjectsrc.h thselector.h thtmpdir.h extern/getopt.h
thconfig.o: thconfig.cxx thconfig.h thbuffer.h thmbuffer.h thinput.h \
  thparse.h thexporter.h thexport.h thobjectsrc.h thselector.h therion.h \
  thlang.h thlangdata.h thchenc.h thchencdata.h thexception.h \
  thdatabase.h thdataobject.h thperson.h thdate.h thdataleg.h \
  thobjectname.h thinfnan.h thdb1d.h thobjectid.h thdb3d.h loch/lxMath.h \
  thattr.h thdb2d.h thdb2dprj.h thmapstat.h thlegenddata.h thdb2dpt.h \
  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
  thdb2dxm.h thscraplo.h thlayoutln.h thlayoutclr.h thscrapen.h \
  thscraplp.h thdatareader.h thcsdata.h thproj.h thlogfile.h thinit.h \
  thgeomag.h thgeomagdata.h thlayout.h thsymbolset.h thsymbolsetlist.h \
  thlocale.h thsketch.h thpic.h thcs.h
thconvert.o: thconvert.cxx thpdfdbg.h thexception.h therion.h thbuffer.h \
  thpdfdata.h thepsparse.h thtexfonts.h
thcs.o: thcs.cxx thcs.h thcsdata.h thparse.h thbuffer.h thmbuffer.h \
  thexception.h therion.h extern/proj4/proj_api.h thdatabase.h \
  thdataobject.h thperson.h thdate.h thdataleg.h thobjectname.h \
  thobjectsrc.h thinfnan.h thdb1d.h thobjectid.h thdb3d.h loch/lxMath.h \
  thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h \
  thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h \
  thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thlayoutclr.h \
  thscrapen.h thscraplp.h
thcsdata.o: thcsdata.cxx thcsdata.h thparse.h thbuffer.h thmbuffer.h
thdatabase.o: thdatabase.cxx thdatabase.h thdataobject.h thperson.h \
  thparse.h thbuffer.h thmbuffer.h thdate.h thdataleg.h thobjectname.h \
  therion.h thobjectsrc.h thinfnan.h thdb1d.h thobjectid.h thdb3d.h \
  loch/lxMath.h thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h \
  thmapstat.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h \
  thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h \
  thlayoutclr.h thscrapen.h thscraplp.h thsurvey.h thtfpwf.h \
  thendsurvey.h thexception.h thdata.h thtfangle.h thtf.h thtflength.h \
  thcmdline.h thdatastation.h thgrade.h thlayout.h thsymbolset.h \
  thsymbolsetlist.h thlocale.h thscrap.h thsketch.h thpic.h thtrans.h \
  th2ddataobject.h thpoint.h thline.h tharea.h thjoin.h thmap.h \
  thimport.h thsurface.h thendscrap.h
thdata.o: thdata.cxx thdata.h thdataleg.h thparse.h thbuffer.h \
  thmbuffer.h thobjectname.h therion.h thobjectsrc.h thinfnan.h \
  thdataobject.h thdatabase.h thdb1d.h thobjectid.h thdb3d.h \
  loch/lxMath.h thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h \
  thmapstat.h thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h \
  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
  thscraplo.h thlayoutln.h thlayoutclr.h thscrapen.h thscraplp.h \
  thtfangle.h thtf.h thtflength.h thtfpwf.h thexception.h thsurvey.h \
  thgrade.h thcsdata.h thdatareader.h thinput.h
thdataleg.o: thdataleg.cxx thdataleg.h thparse.h thbuffer.h thmbuffer.h \

=== loch/Makefile ===
# common therion objects
CMNOBJECTS = \
  lxTR.o lxOGLFT.o lxSetup.o lxRender.o lxWX.o \
  lxImgIO.o lxLRUD.o lxFile.o lxSTree.o \
  lxData.o lxMath.o lxSView.o lxSScene.o \
  lxGUI.o lxGLC.o lxOptDlg.o lxAboutDlg.o \
  img.o

# VTKVERSION = 5.4
VTKVERSION = $(shell tclsh getvtkver.tcl version)
# VTKPATH = /usr/local/include/vtk-$(VTKVERSION)
VTKPATH = $(shell tclsh getvtkver.tcl incpath)
# VTKLIBPATH = /usr/local/lib/vtk-$(VTKVERSION)
VTKLIBPATH = $(shell tclsh getvtkver.tcl libpath)
VTKLIBS = -lvtkHybrid -lvtkImaging -lvtkIO -lvtkGraphics -lvtkFiltering -lvtkCommon -lvtkjpeg -lvtkpng -lvtkzlib -lvtksys -lfreetype
POSTMAKE =
STRIPFLAG = -s

# PLATFORM CONFIG

# PLATFORM LINUX
##CXX = c++
##CC = gcc
##POBJECTS = lxR2P.o
##CXXPFLAGS = -DLXLINUX $(shell wx-config --cxxflags) -Wno-deprecated $(shell freetype-config --cflags) -I$(VTKPATH)
##CCPFLAGS = -DLXLINUX  $(shell wx-config --cflags)
##LXLIBDIR = linux
##PLIBS = $(shell wx-config --libs --gl-libs) -L$(VTKLIBPATH) $(VTKLIBS) -lGLU -lpthread -lz 
##LXPLATFORM = LINUX

# PLATFORM DEBIAN
CXX = c++
CC = gcc
POBJECTS = lxR2P.o
VTKLIBS = -lvtkHybrid -lvtkImaging -lvtkIO -lvtkGraphics -lvtkFiltering -lvtkCommon -lfreetype
CXXPFLAGS = -DLXLINUX $(shell wx-config --cxxflags) -Wno-deprecated $(shell freetype-config --cflags) -I$(VTKPATH)
CCPFLAGS = -DLXLINUX  $(shell wx-config --cflags)
LXLIBDIR = linux
PLIBS = $(shell wx-config --libs --gl-libs) -L$(VTKLIBPATH) $(VTKLIBS) -lGLU -lpthread -lz 
LXPLATFORM = LINUX

# PLATFORM WIN32
##CXX = c++
##CC = gcc
##POBJECTS = loch.res lxR2D.o getline.o
##CXXPFLAGS = -W -Wall -DLXWIN32 $(shell wx-config --static --cxxflags) $(shell freetype-config --cflags) -I$(VTKPATH) -Wno-deprecated
##CCPFLAGS = -W -Wall -DLXWIN32 $(shell wx-config --static --cflags)
##LXLIBDIR = mingw
##PLIBS = $(shell freetype-config --libs) $(shell wx-config --static --libs --gl-libs) -L$(VTKLIBPATH) $(VTKLIBS)
##LXPLATFORM = WIN32
##STRIPFLAG = -static-libgcc -static -s


# PLATFORM MACOSX
##CXX = c++
##CC = cc
##POBJECTS = getline.o
##CXXPFLAGS = -W -Wall -DLXMACOSX $(shell wx-config --static --cxxflags) -I$(VTKPATH) -Wno-deprecated -I/usr/X11R6/include -I/usr/X11R6/include/freetype2
##CCPFLAGS = -W -Wall -DLXMACOSX $(shell wx-config --static --cflags) -I/usr/X11R6/include
##LXLIBDIR = 
##PLIBS = -lz -L/usr/X11R6/lib $(shell wx-config --static --libs --gl-libs) -L$(VTKLIBPATH) $(VTKLIBS)
##POSTMAKE = cp -f ./loch ./loch.app/Contents/MacOS
##STRIPFLAG =

# PLATFORM ENDCONFIG


# BUILD CONFIG

# BUILD OZONE
##CCBFLAGS = -O3
##CXXBFLAGS = -O3
##LDBFLAGS = $(STRIPFLAG)

# BUILD OXYGEN
CCBFLAGS = -O2
CXXBFLAGS = -O2
LDBFLAGS = $(STRIPFLAG)

# BUILD RELEASE
##CCBFLAGS = 
##CXXBFLAGS = 
##LDBFLAGS = $(STRIPFLAG)

# BUILD DEBUG
##CCBFLAGS = -ggdb
##CXXBFLAGS = -ggdb -DLXDEBUG
##LDBFLAGS = 

# BUILD ENDCONFIG


# compiler settings
CXXFLAGS = -Wall -D_GNU_SOURCE -DLOCH $(CXXPFLAGS) $(CXXBFLAGS)
CCFLAGS = -Wall -D_GNU_SOURCE -DLOCH $(CCPFLAGS) $(CCBFLAGS)
OBJECTS = $(POBJECTS) $(CMNOBJECTS)

# linker settings
LIBS = $(PLIBS)
LDFLAGS = $(LDBFLAGS)


.SUFFIXES:
.SUFFIXES: .cxx .o .h .c

.cxx.o:
	$(CXX) -c $(CXXFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CCFLAGS) -o $@ $<

all: loch hlp

hlp:
	make -C ./help

loch:	$(OBJECTS)
	$(CXX) -o loch -Wall $(OBJECTS) $(LIBS) $(LDFLAGS)
	$(POSTMAKE)

loch.res: loch.rc loch.ico
	windres --include-dir e:/MSVCProjects/wxWidgets-2.6.0/include -i loch.rc -I rc -o loch.res -O coff

graphs: 
	dot -Tps graph-vispipe.dot -o graph-vispipe.ps


depend:
	perl makedepend.pl > Makefile.dep
	perl maketest.pl Makefile.dep
	perl makefile.pl mv Makefile.dep Makefile
	$(CXX) -DLXDEPCHECK -DLOCH -MM *.cxx >> Makefile
	$(CC) -DLXDEPCHECK -DLOCH -MM *.c >> Makefile
  

config-debug:
	perl makeconfig.pl BUILD DEBUG

test-release:
	zip -9 loch.zip loch.exe test.th test.jpg thconfig
  
config-release:
	perl makeconfig.pl BUILD RELEASE

config-oxygen:
	perl makeconfig.pl BUILD OXYGEN
  
config-ozone:
	perl makeconfig.pl BUILD OZONE
  
config-linux:
	perl makeconfig.pl PLATFORM LINUX

config-debian:
	perl makeconfig.pl PLATFORM DEBIAN
  
config-win32:
	perl makeconfig.pl PLATFORM WIN32
  
config-macosx:
	perl makeconfig.pl PLATFORM MACOSX

clean:
	perl makefile.pl rm -q *~     
	perl makefile.pl rm -q help/*/*~
	perl makefile.pl rm -q loch.exe
	perl makefile.pl rm -q loch
	perl makefile.pl rm -q loch.app/Contents/MacOS/loch
	perl makefile.pl rm -q *.o
	perl makefile.pl rm -q *.log
	perl makefile.pl rm -q core
	perl makefile.pl rmdir -q .xvpics
	perl makefile.pl rm -q *.bmp
	perl makefile.pl rm -q *.ppm
	perl makefile.pl rm -q *.zip
	perl makefile.pl rm -q *.pdf
	perl makefile.pl rm -q *.png
  


# DEPENDENCIES
lxAboutDlg.o: lxAboutDlg.cxx lxWX.h icons/about.xpm ../thversion.h
lxData.o: lxData.cxx lxData.h lxMath.h lxImgIO.h lxFile.h lxLRUD.h
lxFile.o: lxFile.cxx lxFile.h lxMath.h img.h
lxGLC.o: lxGLC.cxx lxGLC.h lxMath.h lxGUI.h lxData.h lxImgIO.h lxFile.h \
  lxSetup.h lxSView.h lxWX.h lxFNT6x13_bdf.h lxFNT10x20_bdf.h \
  lxFNTFreeSans_ttf.h lxRender.h lxTR.h
lxGUI.o: lxGUI.cxx lxGUI.h lxGLC.h lxMath.h lxData.h lxImgIO.h lxFile.h \
  lxSetup.h lxRender.h lxOptDlg.h lxAboutDlg.h lxSView.h lxWX.h \
  lxSScene.h icons/open.xpm icons/render.xpm icons/reload.xpm \
  icons/stereo.xpm icons/rotation.xpm icons/lockrot.xpm icons/fit.xpm \
  icons/home.xpm icons/rendersetup.xpm icons/plan.xpm icons/profile.xpm \
  icons/fullscreen.xpm icons/orto.xpm icons/camera.xpm icons/scene.xpm \
  icons/viscline.xpm icons/vissurface.xpm icons/visbbox.xpm \
  icons/viswalls.xpm icons/visinds.xpm loch.xpm
lxImgIO.o: lxImgIO.cxx lxImgIO.h
lxLRUD.o: lxLRUD.cxx lxLRUD.h lxMath.h
lxMath.o: lxMath.cxx lxMath.h
lxOGLFT.o: lxOGLFT.cxx lxOGLFT.h
lxOptDlg.o: lxOptDlg.cxx lxWX.h lxGUI.h lxGLC.h lxMath.h
lxRender.o: lxRender.cxx lxRender.h lxWX.h lxGLC.h lxMath.h lxGUI.h \
  lxSetup.h lxData.h lxImgIO.h lxFile.h lxTR.h
lxSScene.o: lxSScene.cxx lxSScene.h lxWX.h lxGUI.h lxGLC.h lxMath.h \
  lxSetup.h lxData.h lxImgIO.h lxFile.h loch.xpm
lxSView.o: lxSView.cxx lxSView.h lxWX.h lxGUI.h lxGLC.h lxMath.h \
  lxSetup.h lxData.h lxImgIO.h lxFile.h loch.xpm
lxSetup.o: lxSetup.cxx lxSetup.h lxData.h lxMath.h lxImgIO.h lxFile.h
lxWX.o: lxWX.cxx lxWX.h
getline.o: getline.c
img.o: img.c img.h
lxR2D.o: lxR2D.c lxR2D.h
lxR2P.o: lxR2P.c lxR2P.h
lxTR.o: lxTR.c lxTR.h

=== debian/changelog ===
therion (5.3.9-4) unstable; urgency=low

  * Fix clash in doc-base names. (Closes: #679220)
  * Put missing therion book back and fix docbase names

 -- Wookey <wookey@debian.org>  Wed, 27 Jun 2012 19:21:53 +0100

therion (5.3.9-3) unstable; urgency=low

  * Require dpkg 1.16.2 so that Build-Depends-Indep with build-arch
    target actually works on autobuilders (Closes: #663716)

 -- Wookey <wookey@debian.org>  Mon, 19 Mar 2012 19:02:08 +0000

therion (5.3.9-2) unstable; urgency=low

  * Use pkg-config to find libs. Fixes libpng1.5 FTBFS. (Closes: #648124)
  * Properly split rules file into arch and indep rules
  * Add Build-Depends-Indep
  * libpng transition libpng12-dev -> libpng-dev. (Closes: #662521)

 -- Wookey <wookey@debian.org>  Tue, 29 Nov 2011 11:14:03 +0000

therion (5.3.9-1) unstable; urgency=low

  * New upstream release

 -- Wookey <wookey@debian.org>  Wed, 16 Nov 2011 11:43:06 +0000

therion (5.3.8-4) unstable; urgency=low

  * Add double-buffering which fixes loch (therion-viewer) use on nvidia cards

 -- Wookey <wookey@debian.org>  Sun, 13 Nov 2011 21:57:34 +0000

therion (5.3.8-3) unstable; urgency=low

  * Correct build-dep libjpeg8-dev to libjpeg-dev for generality. 
    (Patch from Micah Gersten)

 -- Wookey <wookey@debian.org>  Sun, 21 Aug 2011 00:29:38 +0100

therion (5.3.8-2) unstable; urgency=low

  * Change to use libwxgtk2.8
  * Change to use libjpeg8 (closes: #634645)

 -- Wookey <wookey@debian.org>  Fri, 01 Jul 2011 19:00:20 +0100

=== debian/control ===
Source: therion
Section: science
Priority: extra
Maintainer: Wookey <wookey@debian.org>
Build-Depends: dpkg (>=1.16.2), debhelper (>= 7.0.50~), perl (>= 5.5), docbook-to-man, tcl8.5 | tclsh, 
  libvtk5-dev, libwxgtk2.8-dev, libfreetype6-dev, libjpeg-dev, libpng-dev, pkg-config, texlive-base
Build-Depends-Indep: texlive-metapost, imagemagick, ghostscript 
Standards-Version: 3.9.3

Package: therion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tcl8.5 | wish, texlive-base, texlive-metapost, bwidget
Recommends: evince | pdf-viewer, libtk-img, therion-viewer, survex
Suggests: survex-aven, texlive-lang-czechslovak, texlive-lang-cyrillic
Description: Cave surveying - 2D and 3D drawing software
 Therion aids the process of drawing up cave surveys (maps). Drawings are 
 done over scans and can be distorted to fit the centreline data. Output is 
 in single sheet or atlas style PDF or SVG files. All data is stored in text 
 files and a map  editor (xtherion) is provided to aid in the creation of the 
 files. A wide range of co-ordinate systems is supported. 
 .
 Therion can also produce 3D models, generated from walls and
 passage-heights.  Output formats supported are Survex .3d files, VRML, DXF,
 SVG, shapefiles, and the native .lox. Scanned map overlays and relief data
 can be incorporated into models. Therion is compatible with Survex, and
 centreline data can be stored in Survex or Therion form. If survex is
 installed it is used for loop closures. Centreline data and sketches can be
 imported from PocketTopo, allowing full paperless surveying.
 .
 TeX and metapost are used to generate the images. libtk-img is needed to use 
 scans in formats other than GIF and PNM (such as PNG and JPEG).
 Survex will be used for loop-closure if installed, but is not required.
 .
 You will need appropriate TeX language packages to process therion files which 
 specify those character sets: Texlive-lang-czechslovak is needed to process 
 the examples, and texlive-lang-cyrillic is also suggested. See README.Debian 
 for details
 


Package: therion-viewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, therion
Description: Cave surveying - 3D viewer for therion models
 Therion is cave-survey drawing and modelling software. This package contains 
 the 3D model viewer for therion models produced by version 0.4 or later.
 
Package: therion-doc
Section: doc
Architecture: all
Recommends: therion 
Depends: ${misc:Depends}
Replaces: therion (<< 0.5.0)
Description: Documentation for Therion Cave surveying software 
 Therion is cave-survey drawing and modelling software. This package
 includes the thbook which is the specification for the therion data
 description language. This is not the easiest way to get started;
 there is much more documentation in the Therion wiki:
 http://therion.speleo.sk/wiki/doku.php with introductory guides, FAQs
 and examples. Read those first to get an understanding of how it is
 used.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp build-indep-stamp build-arch-stamp
	# Add here commands to clean up after the build process.
	rm -f man/therion-viewer.1
	cd samples && $(MAKE) clean
	dh_auto_clean
	dh_clean

build: build-arch build-indep

build-indep:
	# just build the -doc package 
	dh_testdir
        

ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	# We need therion itself to build the samples
	$(MAKE) therion 
	# create HTML documentation for samples
	$(MAKE) samples
endif
	$(MAKE) thbook
	touch build-indep-stamp

build-arch:
	dh_testdir
	# Compile the binaries
	$(MAKE) therion xtherion/xtherion loch/loch
	ln -sf loch.1 man/therion-viewer.1
	# create therion.ini file:
	#$(MAKE) init
	touch build-arch-stamp

binary: binary-arch binary-indep

# Package architecture-independent packages here.
binary-indep: DH_OPTIONS=-i
binary-indep: build-indep-stamp
	# just build the -doc package 
	dh_testdir
	dh_testroot

ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	#if cross-building these won't have been generated, so skip
	dh_installdocs -ptherion-doc samples.doc
endif
	dh_install -Ntherion-viewer -Ntherion
	#we should generate html of thbook here too if possible
	dh_compress -ptherion-doc -X.pdf -X.th -X.th2 -Xthconfig
	dh_fixperms -Ntherion-viewer -Ntherion
	dh_installdeb -Ntherion-viewer -Ntherion
	dh_gencontrol -Ntherion-viewer -Ntherion
	dh_md5sums -Ntherion-viewer -Ntherion
	dh_builddeb -Ntherion-viewer -Ntherion

# Package architecture-dependent files here.
binary-arch: DH_OPTIONS=-a
binary-arch: build-arch-stamp 
	dh_testdir
	dh_testroot
	dh_installdirs

	# Add here commands to install the package into debian/therion.
#this stuff no longer needed from 0.2.14
#but it would be nice to put it back
#	install -d -o root -g root -m 755 debian/therion/usr/share/texmf/metapost/therion
#	install -d -o root -g root -m 755 debian/therion/usr/share/texmf/tex/therion
#	install -p -o root -g root -m 644 mpost/*.mp debian/therion/usr/share/texmf/metapost/therion/
#	install -p -o root -g root -m 644 tex/*.tex debian/therion/usr/share/texmf/tex/therion/
	dh_install -Ntherion-doc
	dh_installdocs README
	dh_installdocs -ptherion-viewer loch/help/en/loch.htm
	# we need to clear out large generated files from samples before putting just source files in main package
	cd samples && $(MAKE) clean
	dh_installexamples -ptherion  --exclude=.tcl --exclude=Makefile --exclude=thTMPDIR samples thconfig therion.ini
	dh_installmenu
	dh_installmime
	dh_icons
	dh_installman -ptherion man/therion.1 man/xtherion.1
	dh_installman -ptherion-viewer man/loch.1 man/therion-viewer.1
	dh_installchangelogs CHANGES
	dh_strip
	dh_compress -X.pdf -X.th -X.th2 -Xthconfig
	dh_fixperms -Ntherion-doc
	dh_installdeb -Ntherion-doc
	dh_shlibdeps -Ntherion-doc
	dh_gencontrol -Ntherion-doc
	dh_md5sums -Ntherion-doc
	dh_builddeb -Ntherion-doc

.PHONY: build clean binary-indep binary-arch binary install configure

## therion 5.3.10

=== debian/changelog ===
therion (5.3.10-1) unstable; urgency=low

  * New upstream release

 -- Wookey <wookey@debian.org>  Mon, 03 Sep 2012 14:17:08 +0100

therion (5.3.9-6) unstable; urgency=low

  * Change to use xz compression
  * Mark updated-by-build file thbook/etc/contents.tex as ignored in 
    diff so build is repeatable

 -- Wookey <wookey@debian.org>  Fri, 13 Jul 2012 00:20:55 +0100

therion (5.3.9-5) unstable; urgency=low

  * Fix deps to ensure tcl8.5 is used

 -- Wookey <wookey@debian.org>  Tue, 03 Jul 2012 02:58:06 +0100

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	dh_installdeb -Ntherion-viewer -Ntherion
 	dh_gencontrol -Ntherion-viewer -Ntherion
 	dh_md5sums -Ntherion-viewer -Ntherion
-	dh_builddeb -Ntherion-viewer -Ntherion
+	dh_builddeb -Ntherion-viewer -Ntherion -- -Zxz
 
 # Package architecture-dependent files here.
 binary-arch: DH_OPTIONS=-a
@@ -92,6 +92,6 @@
 	dh_shlibdeps -Ntherion-doc
 	dh_gencontrol -Ntherion-doc
 	dh_md5sums -Ntherion-doc
-	dh_builddeb -Ntherion-doc
+	dh_builddeb -Ntherion-doc -- -Zxz
 
 .PHONY: build clean binary-indep binary-arch binary install configure

## therion 5.3.11

=== debian/changelog ===
therion (5.3.11-2) unstable; urgency=low

  * Support dpkg-buildflags properly so Hardening flags are used

 -- Wookey <wookey@debian.org>  Wed, 09 Oct 2013 18:05:07 +0100

therion (5.3.11-1) unstable; urgency=low

  [Cawa Sorix]
  * Initialise base font set by default to avoid 'error 768'. 
  * Fix loading files with no extension in text editor 

  [with Olly Betts]
  * Add support for Survex v8 3d files
  * Fix all compiler warnings

  * Improved error reporting when sample processing
  * Disable tmp-remove option so tmpdir tidying works
  * Enable dpkg-buildflags so hardening options are used
  * New upstream release

 -- Wookey <wookey@debian.org>  Mon, 19 Aug 2013 02:27:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: science
 Priority: extra
 Maintainer: Wookey <wookey@debian.org>
-Build-Depends: dpkg (>=1.16.2), debhelper (>= 7.0.50~), perl (>= 5.5), docbook-to-man, tcl8.5 | tclsh, 
+Build-Depends: dpkg (>=1.16.2), debhelper (>= 7.0.50~), perl (>= 5.5), docbook-to-man, tcl, 
   libvtk5-dev, libwxgtk2.8-dev, libfreetype6-dev, libjpeg-dev, libpng-dev, pkg-config, texlive-base
 Build-Depends-Indep: texlive-metapost, imagemagick, ghostscript 
 Standards-Version: 3.9.3
 
 Package: therion
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, tcl8.5 | wish, texlive-base, texlive-metapost, bwidget
+Depends: ${shlibs:Depends}, ${misc:Depends}, tcl, texlive-base, texlive-metapost, bwidget
 Recommends: evince | pdf-viewer, libtk-img, therion-viewer, survex
 Suggests: survex-aven, texlive-lang-czechslovak, texlive-lang-cyrillic
 Description: Cave surveying - 2D and 3D drawing software

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 clean:
 	dh_testdir

## therion 5.3.13

=== Makefile ===
--- 
+++ 
@@ -61,7 +61,7 @@
 # PLATFORM MACOSX
 ##CXX = c++
 ##CC = cc
-##LOCHEXE =
+##LOCHEXE = loch/loch
 ##POBJECTS = extern/getopt.o extern/getopt1.o extern/getline.o
 ##CXXPFLAGS = -DTHMACOSX
 ##CCPFLAGS = -DTHMACOSX
@@ -189,7 +189,7 @@
 	make -C ./loch clean
 	make -C ./samples clean
 	make -C ./extern/proj4 clean
-	perl makefile.pl rm -q therion ./xtherion/xtherion ./xtherion/xtherion.tcl therion.exe *~ *.log *.o thchencdata/*~ .xtherion.dat
+	perl makefile.pl rm -q therion ./xtherion/xtherion ./xtherion/xtherion.tcl therion.exe *~ *.log *.o thchencdata/*~ .xtherion.dat ./xtherion/ver.tcl
 	perl makefile.pl rm -q xtherion/*~ .xth_thconfig_xth xtherion/screendump thlang/*~
 	perl makefile.pl rm -q extern/*.o extern/*~ extern/poly2tri/common/*.o extern/poly2tri/sweep/*.o samples/*~ samples/*.log
 	perl makefile.pl rm -q symbols.html therion.res
@@ -273,73 +273,74 @@
 
 # DEPENDENCIES
 th2ddataobject.o: th2ddataobject.cxx th2ddataobject.h thdataobject.h \
-  thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
-  thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
-  loch/lxMath.h thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h \
-  thmapstat.h thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h \
-  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
-  thscraplo.h thlayoutln.h thlayoutclr.h thscrapen.h thscraplp.h \
-  thexception.h thsymbolset.h thsymbolsetlist.h
+ thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
+ thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
+ loch/lxMath.h thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h \
+ thmapstat.h thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h \
+ thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
+ thscraplo.h thlayoutln.h thlayoutclr.h thscrapen.h thscraplp.h \
+ thexception.h thsymbolset.h thsymbolsetlist.h
 tharea.o: tharea.cxx tharea.h th2ddataobject.h thdataobject.h \
-  thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
-  thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
-  loch/lxMath.h thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h \
-  thmapstat.h thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h \
-  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
-  thscraplo.h thlayoutln.h thlayoutclr.h thscrapen.h thscraplp.h \
-  thexception.h thexpmap.h thexport.h thsymbolset.h thsymbolsetlist.h \
-  thlayout.h thlocale.h thlang.h thlangdata.h thline.h
+ thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
+ thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
+ loch/lxMath.h thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h \
+ thmapstat.h thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h \
+ thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
+ thscraplo.h thlayoutln.h thlayoutclr.h thscrapen.h thscraplp.h \
+ thexception.h thexpmap.h thexport.h thsymbolset.h thsymbolsetlist.h \
+ thlayout.h thlocale.h thlang.h thlangdata.h thline.h
 thattr.o: thattr.cxx thattr.h thmbuffer.h thchenc.h thchencdata.h \
-  thparse.h thbuffer.h extern/shapefil.h thexception.h therion.h
+ thparse.h thbuffer.h extern/shapefil.h thexception.h therion.h
 thbezier.o: thbezier.cxx thbezier.h
 thbuffer.o: thbuffer.cxx thbuffer.h
 thchenc.o: thchenc.cxx thchenc.h thchencdata.h thparse.h thbuffer.h \
-  thmbuffer.h thchencdata.cxx therion.h thexception.h
+ thmbuffer.h thchencdata.cxx therion.h thexception.h
 thchencdata.o: thchencdata.cxx
 thcmdline.o: thcmdline.cxx thcmdline.h therion.h thlogfile.h thbuffer.h \
-  thconfig.h thmbuffer.h thinput.h thparse.h thexporter.h thexport.h \
-  thobjectsrc.h thselector.h thtmpdir.h extern/getopt.h
+ thconfig.h thmbuffer.h thinput.h thparse.h thexporter.h thexport.h \
+ thobjectsrc.h thselector.h thtmpdir.h extern/getopt.h
 thconfig.o: thconfig.cxx thconfig.h thbuffer.h thmbuffer.h thinput.h \
-  thparse.h thexporter.h thexport.h thobjectsrc.h thselector.h therion.h \
-  thlang.h thlangdata.h thchenc.h thchencdata.h thexception.h \
-  thdatabase.h thdataobject.h thperson.h thdate.h thdataleg.h \
-  thobjectname.h thinfnan.h thdb1d.h thobjectid.h thdb3d.h loch/lxMath.h \
-  thattr.h thdb2d.h thdb2dprj.h thmapstat.h thlegenddata.h thdb2dpt.h \
-  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
-  thdb2dxm.h thscraplo.h thlayoutln.h thlayoutclr.h thscrapen.h \
-  thscraplp.h thdatareader.h thcsdata.h thproj.h thlogfile.h thinit.h \
-  thgeomag.h thgeomagdata.h thlayout.h thsymbolset.h thsymbolsetlist.h \
-  thlocale.h thsketch.h thpic.h thcs.h
+ thparse.h thexporter.h thexport.h thobjectsrc.h thselector.h therion.h \
+ thlang.h thlangdata.h thchenc.h thchencdata.h thexception.h thdatabase.h \
+ thdataobject.h thperson.h thdate.h thdataleg.h thobjectname.h thinfnan.h \
+ thdb1d.h thobjectid.h thdb3d.h loch/lxMath.h thattr.h thdb2d.h \
+ thdb2dprj.h thmapstat.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
+ thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
+ thlayoutln.h thlayoutclr.h thscrapen.h thscraplp.h thdatareader.h \
+ thcsdata.h thproj.h thlogfile.h thinit.h thgeomag.h thgeomagdata.h \
+ thlayout.h thsymbolset.h thsymbolsetlist.h thlocale.h thsketch.h thpic.h \
+ thcs.h
 thconvert.o: thconvert.cxx thpdfdbg.h thexception.h therion.h thbuffer.h \
-  thpdfdata.h thepsparse.h thtexfonts.h
+ thpdfdata.h thepsparse.h thtexfonts.h
 thcs.o: thcs.cxx thcs.h thcsdata.h thparse.h thbuffer.h thmbuffer.h \
-  thexception.h therion.h extern/proj4/proj_api.h thdatabase.h \
-  thdataobject.h thperson.h thdate.h thdataleg.h thobjectname.h \
-  thobjectsrc.h thinfnan.h thdb1d.h thobjectid.h thdb3d.h loch/lxMath.h \
-  thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h \
-  thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h \
-  thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thlayoutclr.h \
-  thscrapen.h thscraplp.h
+ thexception.h therion.h extern/proj4/proj_api.h thdatabase.h \
+ thdataobject.h thperson.h thdate.h thdataleg.h thobjectname.h \
+ thobjectsrc.h thinfnan.h thdb1d.h thobjectid.h thdb3d.h loch/lxMath.h \
+ thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h \
+ thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h \
+ thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thlayoutclr.h \
+ thscrapen.h thscraplp.h
 thcsdata.o: thcsdata.cxx thcsdata.h thparse.h thbuffer.h thmbuffer.h
+thdata.o: thdata.cxx thdata.h thdataleg.h thparse.h thbuffer.h \
+ thmbuffer.h thobjectname.h therion.h thobjectsrc.h thinfnan.h \
+ thdataobject.h thdatabase.h thdb1d.h thobjectid.h thdb3d.h loch/lxMath.h \
+ thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h \
+ thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
+ thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
+ thlayoutln.h thlayoutclr.h thscrapen.h thscraplp.h thtfangle.h thtf.h \
+ thtflength.h thtfpwf.h thexception.h thsurvey.h thlayout.h thsymbolset.h \
+ thsymbolsetlist.h thlocale.h thgrade.h thcsdata.h thdatareader.h \
+ thinput.h
 thdatabase.o: thdatabase.cxx thdatabase.h thdataobject.h thperson.h \
-  thparse.h thbuffer.h thmbuffer.h thdate.h thdataleg.h thobjectname.h \
-  therion.h thobjectsrc.h thinfnan.h thdb1d.h thobjectid.h thdb3d.h \
-  loch/lxMath.h thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h \
-  thmapstat.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h \
-  thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h \
-  thlayoutclr.h thscrapen.h thscraplp.h thsurvey.h thtfpwf.h \
-  thendsurvey.h thexception.h thdata.h thtfangle.h thtf.h thtflength.h \
-  thcmdline.h thdatastation.h thgrade.h thlayout.h thsymbolset.h \
-  thsymbolsetlist.h thlocale.h thscrap.h thsketch.h thpic.h thtrans.h \
-  th2ddataobject.h thpoint.h thline.h tharea.h thjoin.h thmap.h \
-  thimport.h thsurface.h thendscrap.h
-thdata.o: thdata.cxx thdata.h thdataleg.h thparse.h thbuffer.h \
-  thmbuffer.h thobjectname.h therion.h thobjectsrc.h thinfnan.h \
-  thdataobject.h thdatabase.h thdb1d.h thobjectid.h thdb3d.h \
-  loch/lxMath.h thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h \
-  thmapstat.h thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h \
-  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
-  thscraplo.h thlayoutln.h thlayoutclr.h thscrapen.h thscraplp.h \
-  thtfangle.h thtf.h thtflength.h thtfpwf.h thexception.h thsurvey.h \
-  thgrade.h thcsdata.h thdatareader.h thinput.h
+ thparse.h thbuffer.h thmbuffer.h thdate.h thdataleg.h thobjectname.h \
+ therion.h thobjectsrc.h thinfnan.h thdb1d.h thobjectid.h thdb3d.h \
+ loch/lxMath.h thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h \
+ thmapstat.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h \
+ thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h \
+ thlayoutclr.h thscrapen.h thscraplp.h thsurvey.h thtfpwf.h thendsurvey.h \
+ thexception.h thdata.h thtfangle.h thtf.h thtflength.h thcmdline.h \
+ thdatastation.h thlookup.h thlocale.h thgrade.h thlayout.h thsymbolset.h \
+ thsymbolsetlist.h thscrap.h thsketch.h thpic.h thtrans.h \
+ th2ddataobject.h thpoint.h thline.h tharea.h thjoin.h thmap.h thimport.h \
+ thsurface.h thendscrap.h
 thdataleg.o: thdataleg.cxx thdataleg.h thparse.h thbuffer.h thmbuffer.h \

=== samples/Makefile ===
all:
	tclsh samples.tcl
    
clean:
	tclsh samples.tcl clean

=== thbook/Makefile ===
all:
	pdftex thbook.tex
	pdftex thbook.tex
	pdftex thbook.tex
	perl ../makefile.pl rm ./thbook.log
  
win32:
	"C:/Program files/Therion/bin/win32/pdfetex.exe" thbook.tex
	"C:/Program files/Therion/bin/win32/pdfetex.exe" thbook.tex
	"C:/Program files/Therion/bin/win32/pdfetex.exe" thbook.tex
	perl ../makefile.pl rm ./thbook.log

=== xtherion/Makefile ===
all:	xtherion

xtherion: *.tcl
	tclsh mkall.tcl

survex:
	tclsh mkall.tcl survex
	tar -cvzf ../../../svxedit.tar.gz svxedit
	perl ../makefile.pl rm -q svxedit

clean:
	perl ../makefile.pl rm -q *~
	perl ../makefile.pl rm -q ../../bin/xtherion
	perl ../makefile.pl rm -q lang/*~
	perl ../makefile.pl rm -q svxedit
	perl ../makefile.pl rm -q xtherion.tar.gz
	perl ../makefile.pl rm -q svxedit.tar.gz

update:
	make -C ./lang update
  
msgxth.tcl: lang/xtexts.txt
	make -C ./lang

=== loch/help/en/Makefile ===
all: loch.htb loch.chm

loch.chm: loch.hhp loch.hhc loch.hhk loch.htm
	hhc loch.hhp

loch.htb: loch.hhp loch.hhc loch.hhk loch.htm
	zip loch.htb loch.hhp loch.hhc loch.hhk loch.htm

=== debian/changelog ===
therion (5.3.13-1) unstable; urgency=low

  * New upstream release taking sample fixes and 
    compiler warnings patches from debian
  * Comptible with survex v8 .3d files

 -- Wookey <wookey@debian.org>  Thu, 23 Jan 2014 02:19:47 +0000

therion (5.3.12-3) unstable; urgency=low

  * Fix 'missing background images' tcl issue (Closes: #718294)
  * Add Olly to uploaders.
  
  [Olly Betts]
  * "Standards-Version: 3.9.5" (no changes required).
  * debian/copyright: Update copyright years.
  * debian/rules: xz compression for binary packages is now the default, so
    don't specify it explicitly.
  * Update from debhelper compat level 5 to 9.
  * wx3.0 w-i-p patch included but not applied

 -- Wookey <wookey@debian.org>  Sun, 19 Jan 2014 23:15:08 +0000

therion (5.3.12-2) unstable; urgency=low

  * Minor packaging updates 

 -- Wookey <wookey@debian.org>  Sat, 28 Dec 2013 03:42:55 +0000

therion (5.3.12-1) unstable; urgency=low

  * New upstream release

 -- Wookey <wookey@debian.org>  Mon, 23 Dec 2013 01:44:22 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: science
 Priority: extra
 Maintainer: Wookey <wookey@debian.org>
-Build-Depends: dpkg (>=1.16.2), debhelper (>= 7.0.50~), perl (>= 5.5), docbook-to-man, tcl, 
+Build-Depends: dpkg (>=1.16.2), debhelper (>= 9), perl (>= 5.5), docbook-to-man, tcl, 
   libvtk5-dev, libwxgtk2.8-dev, libfreetype6-dev, libjpeg-dev, libpng-dev, pkg-config, texlive-base
 Build-Depends-Indep: texlive-metapost, imagemagick, ghostscript 
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 
 Package: therion
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp build-indep-stamp build-arch-stamp
 	# Add here commands to clean up after the build process.
 	rm -f man/therion-viewer.1
 	cd samples && $(MAKE) clean
@@ -60,7 +59,7 @@
 	dh_installdeb -Ntherion-viewer -Ntherion
 	dh_gencontrol -Ntherion-viewer -Ntherion
 	dh_md5sums -Ntherion-viewer -Ntherion
-	dh_builddeb -Ntherion-viewer -Ntherion -- -Zxz
+	dh_builddeb -Ntherion-viewer -Ntherion
 
 # Package architecture-dependent files here.
 binary-arch: DH_OPTIONS=-a
@@ -95,6 +94,6 @@
 	dh_shlibdeps -Ntherion-doc
 	dh_gencontrol -Ntherion-doc
 	dh_md5sums -Ntherion-doc
-	dh_builddeb -Ntherion-doc -- -Zxz
+	dh_builddeb -Ntherion-doc
 
 .PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site
version=3
http://therion.speleo.sk/download.php  downloads/therion-(.*)\.tar\.gz debian uupdate

## therion 5.3.14

=== loch/Makefile ===
--- 
+++ 
@@ -7,11 +7,11 @@
   img.o
 
 # VTKVERSION = 5.4
-VTKVERSION = $(shell tclsh getvtkver.tcl version)
+VTKVERSION = $(shell tclsh ./getvtkver.tcl version)
 # VTKPATH = /usr/local/include/vtk-$(VTKVERSION)
-VTKPATH = $(shell tclsh getvtkver.tcl incpath)
+VTKPATH = $(shell tclsh ./getvtkver.tcl incpath)
 # VTKLIBPATH = /usr/local/lib/vtk-$(VTKVERSION)
-VTKLIBPATH = $(shell tclsh getvtkver.tcl libpath)
+VTKLIBPATH = $(shell tclsh ./getvtkver.tcl libpath)
 VTKLIBS = -lvtkHybrid -lvtkImaging -lvtkIO -lvtkGraphics -lvtkFiltering -lvtkCommon -lvtkjpeg -lvtkpng -lvtkzlib -lvtksys -lfreetype
 POSTMAKE =
 STRIPFLAG = -s
@@ -54,11 +54,11 @@
 # PLATFORM MACOSX
 ##CXX = c++
 ##CC = cc
-##POBJECTS = getline.o
-##CXXPFLAGS = -W -Wall -DLXMACOSX $(shell wx-config --static --cxxflags) -I$(VTKPATH) -Wno-deprecated -I/usr/X11R6/include -I/usr/X11R6/include/freetype2
-##CCPFLAGS = -W -Wall -DLXMACOSX $(shell wx-config --static --cflags) -I/usr/X11R6/include
+##POBJECTS = 
+##CXXPFLAGS = -W -Wall -DLXMACOSX $(shell wx-config --cxxflags) $(shell freetype-config --cflags) -I$(VTKPATH) -Wno-deprecated -I/usr/X11R6/include -I/usr/X11R6/include/freetype2
+##CCPFLAGS = -W -Wall -DLXMACOSX $(shell wx-config --cflags) -I/usr/X11R6/include
 ##LXLIBDIR = 
-##PLIBS = -lz -L/usr/X11R6/lib $(shell wx-config --static --libs --gl-libs) -L$(VTKLIBPATH) $(VTKLIBS)
+##PLIBS = -lz -L/usr/X11R6/lib $(shell wx-config --libs --gl-libs) -L$(VTKLIBPATH) $(VTKLIBS)
 ##POSTMAKE = cp -f ./loch ./loch.app/Contents/MacOS
 ##STRIPFLAG =
 
@@ -73,14 +73,14 @@
 ##LDBFLAGS = $(STRIPFLAG)
 
 # BUILD OXYGEN
-CCBFLAGS = -O2
-CXXBFLAGS = -O2
+##CCBFLAGS = -O2
+##CXXBFLAGS = -O2
+##LDBFLAGS = $(STRIPFLAG)
+
+# BUILD RELEASE
+CCBFLAGS = 
+CXXBFLAGS = 
 LDBFLAGS = $(STRIPFLAG)
-
-# BUILD RELEASE
-##CCBFLAGS = 
-##CXXBFLAGS = 
-##LDBFLAGS = $(STRIPFLAG)
 
 # BUILD DEBUG
 ##CCBFLAGS = -ggdb

=== debian/changelog ===
therion (5.3.14-1) unstable; urgency=medium

  * New upstream release

 -- Wookey <wookey@debian.org>  Sun, 23 Feb 2014 16:06:20 +0000
